#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libgxps
Version		:	0.3.2
Release		:	17.2.0.rel%{?dist}
Summary		:	GObject based library for handling and rendering XPS documents

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/GNOME/libgxps

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	freetype-devel
BuildRequires	:	gcc
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection 
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	lcms2
BuildRequires	:	libarchive-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libtiff
BuildRequires	:	meson
BuildRequires	:	ninja

#-----------------------------------------------------------------------------
%description
'%{name}' is a GObject based library for handling and
rendering XPS documents.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS MAINTAINERS NEWS README TODO
%license COPYING
%{_libdir}/%{name}.so.2
%{_libdir}/%{name}.so.2.*
%{_libdir}/girepository-1.0/*.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}


#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/*.gir

#=============================================================================
%package		tools
Summary		:	Command-line utility programs for manipulating XPS files


#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
The %{name}-tools contains command-line programs for
manipulating XPS format documents using the %{name}
library.
 

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_bindir}/xpsto*
%{_mandir}/man1/xpsto*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D enable-gtk-doc=true				\
	-D enable-man=true				\
	build
	
ninja							\
	-C build



#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install


#-----------------------------------------------------------------------------
%changelog
